<h1> Project Mycelium Website </h1>

<h2>Table of Contents</h2>

- [Introduction](#introduction)
- [Install the Website](#install-the-website)
- [Start the Website](#start-the-website)
- [With Hero Docker (Optional)](#with-hero-docker-optional)
- [Deploy Locally Without Hero](#deploy-locally-without-hero)

---

## Introduction

We present the new minimalist version of the Project Mycelium website.

## Install the Website

Run the following lines to install the website:

```bash
hero git clone -u git@git.ourworld.tf:tfgrid/www_projectmycelium.git
~/code/git.ourworld.tf/tfgrid/www_projectmycelium/install.sh
```

## Start the Website

Run the following line to start the website:

```bash
~/code/git.ourworld.tf/tfgrid/www_projectmycelium/start.sh
```

## With Hero Docker (Optional)

You can use Hero Docker instead of a local installation. Simply run this before doing the installation and start steps.

```
docker pull logismosis/hero:latest
docker run -it --net=host --name=hero-container -v ~/code:/root/code logismosis/hero:latest
```

## Deploy Locally Without Hero

You can deploy the website locally without Hero with the following lines:

```
python3 -m venv .venv
source .venv/bin/activate
pip install -r requirements.txt
cd poc
python server.py
```